> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Block and Uncle Rewards by Block Number

> Retrieves block rewards along with associated Uncle block rewards.

export const chain = '1';

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": {
      "blockNumber": "2165403",
      "timeStamp": "1472533979",
      "blockMiner": "0x13a06d3dfe21e0db5c016c03ea7d2509f7f8d1e3",
      "blockReward": "5314181600000000000",
      "uncles": [
        {
          "miner": "0xbcdfc35b86bedf72f0cda046a3c16829a2ef41d1",
          "unclePosition": "0",
          "blockreward": "3750000000000000000"
        },
        {
          "miner": "0x0d0c9855c722ff0c78f21e43aa275a5b8ea60dce",
          "unclePosition": "1",
          "blockreward": "3750000000000000000"
        }
      ],
      "uncleInclusionReward": "312500000000000000"
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/getblockreward.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Block and Uncle Rewards by Block Number
  version: 2.0.0
  description: Retrieves block rewards along with associated Uncle block rewards.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Block and Uncle Rewards by Block Number
      description: Retrieves block rewards along with associated Uncle block rewards.
      operationId: getGetblockreward
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID you query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to block for this endpoint.
          schema:
            type: string
            default: block
          example: block
        - name: action
          in: query
          required: true
          description: Set to getblockreward for this endpoint.
          schema:
            type: string
            default: getblockreward
          example: getblockreward
        - name: blockno
          in: query
          required: true
          description: Block number to check rewards for.
          schema:
            type: integer
          example: 2165403
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: object
                    properties:
                      blockNumber:
                        type: string
                        description: The block number.
                      timeStamp:
                        type: string
                        description: >-
                          Time the block was mined, as a UNIX timestamp in
                          seconds.
                      blockMiner:
                        type: string
                        description: Address of the block's miner.
                      blockReward:
                        type: string
                        description: >-
                          Total block reward, in wei. Use the [unit
                          converter](https://etherscan.io/unitconverter) to
                          convert between units.
                      uncles:
                        type: array
                        description: >-
                          Uncle blocks included in this block, with their miner
                          and reward.
                      uncleInclusionReward:
                        type: string
                        description: >-
                          Reward earned for including uncle blocks, in wei. Use
                          the [unit
                          converter](https://etherscan.io/unitconverter) to
                          convert between units.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````